Преминаване от StotinkaOS на CentOS
#21
ОК, има проблеми с хранилищата на ЦентОС и по скоро с releasever променливата , нека помисля малко какво точно става понеже не би трябвало да има проблем .
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#22
Ок ще чакам нямам друг избор
Отговори
#23
cat /etc/*release
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#24
[Iliyan@iliyan ~]$ cat /etc/*release
CentOS Linux release 7.6.1810 (Core)
NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

CentOS Linux release 7.6.1810 (Core)
StotinkaOS Linux release 7.5.1804 (Algara)
CentOS Linux release 7.6.1810 (Core)
[Iliyan@iliyan ~]$
Отговори
#25
sudo rpm -e --nodeps stotinkaos-release
sudo yum update
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#26
[Iliyan@iliyan ~]$ sudo rpm -e --nodeps stotinkaos-release
[sudo] password for Iliyan:
warning: file /etc/yum.repos.d/StotinkaOS.repo: remove failed: Няма такъв файл или директория
[Iliyan@iliyan ~]$
Отговори
#27
sudo yum update

увери се че пакета stotinkaos-release е премахнат иначе ще има проблем .

Явно не си изпълнил или не е завършила добре тази команда

sudo rpm -e --nodeps stotinkaos-release stotinkaos-defaults stotinkaos-bookmarks stotinkaos-indexhtml stotinkaos-logos
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#28
--> Завърших определянето на зависимости
Грешка: Multilib version problems found. This often means that the root
cause is something else and multilib version checking is just
pointing out that there is a problem. Eg.:

1. You have an upgrade for nss which is missing some
dependency that another package requires. Yum is trying to
solve this by installing an older version of nss of the
different architecture. If you exclude the bad architecture
yum will tell you what the root cause is (which package
requires what). You can try redoing the upgrade with
--exclude nss.otherarch ... this should give you an error
message showing the root cause of the problem.

2. You have multiple architectures of nss installed, but
yum can only see an upgrade for one of those architectures.
If you don't want/need both architectures anymore then you
can remove the one with the missing update and everything
will work.

3. You have duplicate versions of nss installed already.
You can use "yum check" to get yum show these errors.

...you can also use --setopt=protected_multilib=false to remove
this checking, however this is almost never the correct thing to
do as something else is very likely to go wrong (often causing
much more problems).

Защитени multilib версии: nss-3.36.0-7.el7_5.i686 != nss-3.36.0-5.el7_5.x86_64
[Iliyan@iliyan ~]$
Отговори
#29
Ok проблема е решен , това сега е друг проблем . Ще ти кажа малко по късно как да го решиш .

edit: Само не трий пакета nss !
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори
#30
Пробвай така

Код:
sudo rpm -Uvh http://mirror.centos.org/centos/7/os/x86_64/Packages/nss-3.36.0-7.el7_5.x86_64.rpm
sudo yum update
* StotinkaOS SOS хранилища .
* (NEW) Fedora COPR хранилища .

Не отговарям на технически въпроси на ЛС.
Отговори




Потребители разглеждащи темата: 1 гост(и)